<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$iconbarside1=($_POST['iconbarside1']);
$iconbarside2=($_POST['iconbarside2']);
$iconbarside3=($_POST['iconbarside3']);
$iconbarside4=($_POST['iconbarside4']);
$iconbarside5=($_POST['iconbarside5']);
$barsidecolor1=($_POST['barsidecolor1']);
$barsidecolor2=($_POST['barsidecolor2']);
$barsidecolor3=($_POST['barsidecolor3']);
$barsidecolor4=($_POST['barsidecolor4']);
$barsidecolor5=($_POST['barsidecolor5']);
$barside1C1=($_POST['barside1C1']);
$barside1C2=($_POST['barside1C2']);
$barside2C1=($_POST['barside2C1']);
$barside2C2=($_POST['barside2C2']);
$barside3C1=($_POST['barside3C1']);
$barside3C2=($_POST['barside3C2']);
$barside4C1=($_POST['barside4C1']);
$barside4C2=($_POST['barside4C2']);
$barside5C1=($_POST['barside5C1']);
$barside5C2=($_POST['barside5C2']);
$barsidetarget1=($_POST['barsidetarget1']);
$barsidetarget2=($_POST['barsidetarget2']);
$barsidetarget3=($_POST['barsidetarget3']);
$barsidetarget4=($_POST['barsidetarget4']);
$barsidetarget5=($_POST['barsidetarget5']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[iconbarside1])<=0){@$_POST[iconbarside1]="";}
if (strlen(@$_POST[iconbarside2])<=0){@$_POST[iconbarside2]="";}
if (strlen(@$_POST[iconbarside3])<=0){@$_POST[iconbarside3]="";}
if (strlen(@$_POST[iconbarside4])<=0){@$_POST[iconbarside4]="";}
if (strlen(@$_POST[iconbarside5])<=0){@$_POST[iconbarside5]="";}
if (strlen(@$_POST[barsidecolor1])<=0){@$_POST[barsidecolor1]="";}
if (strlen(@$_POST[barsidecolor2])<=0){@$_POST[barsidecolor2]="";}
if (strlen(@$_POST[barsidecolor3])<=0){@$_POST[barsidecolor3]="";}
if (strlen(@$_POST[barsidecolor4])<=0){@$_POST[barsidecolor4]="";}
if (strlen(@$_POST[barsidecolor5])<=0){@$_POST[barsidecolor5]="";}
if (strlen(@$_POST[barside1C1])<=0){@$_POST[barside1C1]="";}
if (strlen(@$_POST[barside1C2])<=0){@$_POST[barside1C2]="";}
if (strlen(@$_POST[barside2C1])<=0){@$_POST[barside2C1]="";}
if (strlen(@$_POST[barside2C2])<=0){@$_POST[barside2C2]="";}
if (strlen(@$_POST[barside3C1])<=0){@$_POST[barside3C1]="";}
if (strlen(@$_POST[barside3C2])<=0){@$_POST[barside3C2]="";}
if (strlen(@$_POST[barside4C1])<=0){@$_POST[barside4C1]="";}
if (strlen(@$_POST[barside4C2])<=0){@$_POST[barside4C2]="";}
if (strlen(@$_POST[barside5C1])<=0){@$_POST[barside5C1]="";}
if (strlen(@$_POST[barside5C2])<=0){@$_POST[barside5C2]="";}
if (strlen(@$_POST[barsidetarget1])<=0){@$_POST[barsidetarget1]="";}
if (strlen(@$_POST[barsidetarget2])<=0){@$_POST[barsidetarget2]="";}
if (strlen(@$_POST[barsidetarget3])<=0){@$_POST[barsidetarget3]="";}
if (strlen(@$_POST[barsidetarget4])<=0){@$_POST[barsidetarget4]="";}
if (strlen(@$_POST[barsidetarget5])<=0){@$_POST[barsidetarget5]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/iconbarside1=(.+?);/';
$patterns[1]='/iconbarside2=(.+?);/';
$patterns[2]='/iconbarside3=(.+?);/';
$patterns[3]='/iconbarside4=(.+?);/';
$patterns[4]='/iconbarside5=(.+?);/';
$patterns[5]='/barsidecolor1=(.+?);/';
$patterns[6]='/barsidecolor2=(.+?);/';
$patterns[7]='/barsidecolor3=(.+?);/';
$patterns[8]='/barsidecolor4=(.+?);/';
$patterns[9]='/barsidecolor5=(.+?);/';
$patterns[10]='/barside1C1=(.+?);/';
$patterns[11]='/barside1C2=(.+?);/';
$patterns[12]='/barside2C1=(.+?);/';
$patterns[13]='/barside2C2=(.+?);/';
$patterns[14]='/barside3C1=(.+?);/';
$patterns[15]='/barside3C2=(.+?);/';
$patterns[16]='/barside4C1=(.+?);/';
$patterns[17]='/barside4C2=(.+?);/';
$patterns[18]='/barside5C1=(.+?);/';
$patterns[19]='/barside5C2=(.+?);/';
$patterns[20]='/barsidetarget1=(.+?);/';
$patterns[21]='/barsidetarget2=(.+?);/';
$patterns[22]='/barsidetarget3=(.+?);/';
$patterns[23]='/barsidetarget4=(.+?);/';
$patterns[24]='/barsidetarget5=(.+?);/';

@$replacements[0]=sprintf("iconbarside1=%s%s%s;",$t,$_POST[iconbarside1],$t);
@$replacements[1]=sprintf("iconbarside2=%s%s%s;",$t,$_POST[iconbarside2],$t);
@$replacements[2]=sprintf("iconbarside3=%s%s%s;",$t,$_POST[iconbarside3],$t);
@$replacements[3]=sprintf("iconbarside4=%s%s%s;",$t,$_POST[iconbarside4],$t);
@$replacements[4]=sprintf("iconbarside5=%s%s%s;",$t,$_POST[iconbarside5],$t);
@$replacements[5]=sprintf("barsidecolor1=%s%s%s;",$t,$_POST[barsidecolor1],$t);
@$replacements[6]=sprintf("barsidecolor2=%s%s%s;",$t,$_POST[barsidecolor2],$t);
@$replacements[7]=sprintf("barsidecolor3=%s%s%s;",$t,$_POST[barsidecolor3],$t);
@$replacements[8]=sprintf("barsidecolor4=%s%s%s;",$t,$_POST[barsidecolor4],$t);
@$replacements[9]=sprintf("barsidecolor5=%s%s%s;",$t,$_POST[barsidecolor5],$t);
@$replacements[10]=sprintf("barside1C1=%s%s%s;",$t,$_POST[barside1C1],$t);
@$replacements[11]=sprintf("barside1C2=%s%s%s;",$t,$_POST[barside1C2],$t);
@$replacements[12]=sprintf("barside2C1=%s%s%s;",$t,$_POST[barside2C1],$t);
@$replacements[13]=sprintf("barside2C2=%s%s%s;",$t,$_POST[barside2C2],$t);
@$replacements[14]=sprintf("barside3C1=%s%s%s;",$t,$_POST[barside3C1],$t);
@$replacements[15]=sprintf("barside3C2=%s%s%s;",$t,$_POST[barside3C2],$t);
@$replacements[16]=sprintf("barside4C1=%s%s%s;",$t,$_POST[barside4C1],$t);
@$replacements[17]=sprintf("barside4C2=%s%s%s;",$t,$_POST[barside4C2],$t);
@$replacements[18]=sprintf("barside5C1=%s%s%s;",$t,$_POST[barside5C1],$t);
@$replacements[19]=sprintf("barside5C2=%s%s%s;",$t,$_POST[barside5C2],$t);
@$replacements[20]=sprintf("barsidetarget1=%s%s%s;",$t,$_POST[barsidetarget1],$t);
@$replacements[21]=sprintf("barsidetarget2=%s%s%s;",$t,$_POST[barsidetarget2],$t);
@$replacements[22]=sprintf("barsidetarget3=%s%s%s;",$t,$_POST[barsidetarget3],$t);
@$replacements[23]=sprintf("barsidetarget4=%s%s%s;",$t,$_POST[barsidetarget4],$t);
@$replacements[24]=sprintf("barsidetarget5=%s%s%s;",$t,$_POST[barsidetarget5],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
